package b4j.example;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _appstart(RemoteObject _form1,RemoteObject _args) throws Exception{
try {
		Debug.PushSubsStack("AppStart (main) ","main",0,main.ba,main.mostCurrent,15);
if (RapidSub.canDelegate("appstart")) return main.remoteMe.runUserSub(false, "main","appstart", _form1, _args);
RemoteObject _fontarial = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.FontWrapper");
RemoteObject _fontlucidahandwriting = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.FontWrapper");
RemoteObject _myfont = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.FontWrapper");
RemoteObject _myfont1 = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.FontWrapper");
RemoteObject _colline = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.PaintWrapper");
RemoteObject _imgtest = RemoteObject.declareNull("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
RemoteObject _answer = RemoteObject.createImmutable(0);
RemoteObject _lstfruits = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _fruit = RemoteObject.createImmutable("");
RemoteObject _lstscreens = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _scrtest = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.ScreenWrapper");
RemoteObject _scrprimary = RemoteObject.declareNull("anywheresoftware.b4j.objects.JFX.ScreenWrapper");
RemoteObject _dir = RemoteObject.createImmutable("");
RemoteObject _txt = RemoteObject.createImmutable("");
RemoteObject _tw = RemoteObject.declareNull("anywheresoftware.b4a.objects.streams.File.TextWriterWrapper");
Debug.locals.put("Form1", _form1);
Debug.locals.put("Args", _args);
 BA.debugLineNum = 15;BA.debugLine="Sub AppStart (Form1 As Form, Args() As String)";
Debug.ShouldStop(16384);
 BA.debugLineNum = 16;BA.debugLine="MainForm = Form1";
Debug.ShouldStop(32768);
main._mainform = _form1;
 BA.debugLineNum = 17;BA.debugLine="MainForm.RootPane.LoadLayout(\"Main\") 'Load the la";
Debug.ShouldStop(65536);
main._mainform.runMethod(false,"getRootPane").runMethodAndSync(false,"LoadLayout",main.ba,(Object)(RemoteObject.createImmutable("Main")));
 BA.debugLineNum = 18;BA.debugLine="MainForm.Show";
Debug.ShouldStop(131072);
main._mainform.runVoidMethodAndSync ("Show");
 BA.debugLineNum = 20;BA.debugLine="fx2.Initialize";
Debug.ShouldStop(524288);
main._fx2.runVoidMethod ("_initialize");
 BA.debugLineNum = 22;BA.debugLine="Private FontArial, FontLucidaHandwriting As Font";
Debug.ShouldStop(2097152);
_fontarial = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.FontWrapper");Debug.locals.put("FontArial", _fontarial);
_fontlucidahandwriting = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.FontWrapper");Debug.locals.put("FontLucidaHandwriting", _fontlucidahandwriting);
 BA.debugLineNum = 23;BA.debugLine="FontArial = fx.CreateFont(\"Arial\", 20, True, Fals";
Debug.ShouldStop(4194304);
_fontarial = main._fx.runMethod(false,"CreateFont",(Object)(BA.ObjectToString("Arial")),(Object)(BA.numberCast(double.class, 20)),(Object)(main.__c.getField(true,"True")),(Object)(main.__c.getField(true,"False")));Debug.locals.put("FontArial", _fontarial);
 BA.debugLineNum = 24;BA.debugLine="lblTest1.Font = FontArial";
Debug.ShouldStop(8388608);
main._lbltest1.runMethod(false,"setFont",_fontarial);
 BA.debugLineNum = 25;BA.debugLine="FontLucidaHandwriting = fx.CreateFont(\"Lucida Han";
Debug.ShouldStop(16777216);
_fontlucidahandwriting = main._fx.runMethod(false,"CreateFont",(Object)(BA.ObjectToString("Lucida Handwriting")),(Object)(BA.numberCast(double.class, 20)),(Object)(main.__c.getField(true,"False")),(Object)(main.__c.getField(true,"False")));Debug.locals.put("FontLucidaHandwriting", _fontlucidahandwriting);
 BA.debugLineNum = 26;BA.debugLine="lblTest2.Font = FontLucidaHandwriting";
Debug.ShouldStop(33554432);
main._lbltest2.runMethod(false,"setFont",_fontlucidahandwriting);
 BA.debugLineNum = 28;BA.debugLine="Private MyFont, MyFont1 As Font";
Debug.ShouldStop(134217728);
_myfont = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.FontWrapper");Debug.locals.put("MyFont", _myfont);
_myfont1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.FontWrapper");Debug.locals.put("MyFont1", _myfont1);
 BA.debugLineNum = 29;BA.debugLine="MyFont = fx.LoadFont(File.DirAssets, \"OLDENGL.TTF";
Debug.ShouldStop(268435456);
_myfont = main._fx.runMethod(false,"LoadFont",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("OLDENGL.TTF")),(Object)(BA.numberCast(double.class, 30)));Debug.locals.put("MyFont", _myfont);
 BA.debugLineNum = 30;BA.debugLine="lblTest2.Font = MyFont";
Debug.ShouldStop(536870912);
main._lbltest2.runMethod(false,"setFont",_myfont);
 BA.debugLineNum = 31;BA.debugLine="MyFont1 = fx.CreateFont(MyFont.FamilyName, 30, Fa";
Debug.ShouldStop(1073741824);
_myfont1 = main._fx.runMethod(false,"CreateFont",(Object)(_myfont.runMethod(true,"getFamilyName")),(Object)(BA.numberCast(double.class, 30)),(Object)(main.__c.getField(true,"False")),(Object)(main.__c.getField(true,"False")));Debug.locals.put("MyFont1", _myfont1);
 BA.debugLineNum = 32;BA.debugLine="lblTest3.Font = MyFont1";
Debug.ShouldStop(-2147483648);
main._lbltest3.runMethod(false,"setFont",_myfont1);
 BA.debugLineNum = 34;BA.debugLine="cvsTest.DrawRect(0, 0, cvsTest.Width, cvsTest.Hei";
Debug.ShouldStop(2);
main._cvstest.runVoidMethod ("DrawRect",(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, 0)),(Object)(main._cvstest.runMethod(true,"getWidth")),(Object)(main._cvstest.runMethod(true,"getHeight")),(Object)((main._fx.getField(false,"Colors").runMethod(false,"RGB",(Object)(BA.numberCast(int.class, 245)),(Object)(BA.numberCast(int.class, 245)),(Object)(BA.numberCast(int.class, 220))))),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 1)));
 BA.debugLineNum = 35;BA.debugLine="cvsTest.MouseCursor = fx2.Cursors.E_RESIZE";
Debug.ShouldStop(4);
main._cvstest.runMethod(false,"setMouseCursor",(main._fx2._cursors.getField(false,"E_RESIZE")));
 BA.debugLineNum = 37;BA.debugLine="cvsTest.MouseCursor = fx2.ImageCursor(fx.LoadImag";
Debug.ShouldStop(16);
main._cvstest.runMethod(false,"setMouseCursor",(main._fx2.runMethod(false,"_imagecursor",(Object)(main._fx.runMethod(false,"LoadImage",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("RedArrow.png")))))));
 BA.debugLineNum = 39;BA.debugLine="cvsTest.DrawCircle(160, 120, 40, fx.Colors.Red, T";
Debug.ShouldStop(64);
main._cvstest.runVoidMethod ("DrawCircle",(Object)(BA.numberCast(double.class, 160)),(Object)(BA.numberCast(double.class, 120)),(Object)(BA.numberCast(double.class, 40)),(Object)(main._fx.getField(false,"Colors").getField(false,"Red")),(Object)(main.__c.getField(true,"True")),(Object)(BA.numberCast(double.class, 5)));
 BA.debugLineNum = 41;BA.debugLine="Private colLine As Paint";
Debug.ShouldStop(256);
_colline = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.PaintWrapper");Debug.locals.put("colLine", _colline);
 BA.debugLineNum = 42;BA.debugLine="colLine = fx.Colors.Blue";
Debug.ShouldStop(512);
_colline.setObject(main._fx.getField(false,"Colors").getField(false,"Blue"));
 BA.debugLineNum = 43;BA.debugLine="cvsTest.DrawCircle(160, 120, 80, colLine, False,";
Debug.ShouldStop(1024);
main._cvstest.runVoidMethod ("DrawCircle",(Object)(BA.numberCast(double.class, 160)),(Object)(BA.numberCast(double.class, 120)),(Object)(BA.numberCast(double.class, 80)),(Object)((_colline.getObject())),(Object)(main.__c.getField(true,"False")),(Object)(BA.numberCast(double.class, 5)));
 BA.debugLineNum = 46;BA.debugLine="Private imgTest As Image";
Debug.ShouldStop(8192);
_imgtest = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");Debug.locals.put("imgTest", _imgtest);
 BA.debugLineNum = 47;BA.debugLine="imgTest = fx.LoadImage(File.DirAssets, \"rose.jpg\"";
Debug.ShouldStop(16384);
_imgtest = main._fx.runMethod(false,"LoadImage",(Object)(main.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("rose.jpg")));Debug.locals.put("imgTest", _imgtest);
 BA.debugLineNum = 48;BA.debugLine="cvsTest.DrawImage(imgTest, 0, 0, cvsTest.Width, c";
Debug.ShouldStop(32768);
main._cvstest.runVoidMethod ("DrawImage",(Object)((_imgtest.getObject())),(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, 0)),(Object)(main._cvstest.runMethod(true,"getWidth")),(Object)(main._cvstest.runMethod(true,"getHeight")));
 BA.debugLineNum = 55;BA.debugLine="fx.Msgbox(MainForm, \"This is a test message\", \"TE";
Debug.ShouldStop(4194304);
main._fx.runVoidMethodAndSync ("Msgbox",(Object)(main._mainform),(Object)(BA.ObjectToString("This is a test message")),(Object)(RemoteObject.createImmutable("TEST")));
 BA.debugLineNum = 58;BA.debugLine="Private Answer As Int";
Debug.ShouldStop(33554432);
_answer = RemoteObject.createImmutable(0);Debug.locals.put("Answer", _answer);
 BA.debugLineNum = 59;BA.debugLine="Answer = fx.Msgbox2(MainForm, \"Do you want to sav";
Debug.ShouldStop(67108864);
_answer = main._fx.runMethodAndSync(true,"Msgbox2",(Object)(main._mainform),(Object)(BA.ObjectToString("Do you want to save the file with the same name?")),(Object)(BA.ObjectToString("TEST")),(Object)(BA.ObjectToString("Yes")),(Object)(BA.ObjectToString("Cancel")),(Object)(BA.ObjectToString("Change name")),(Object)(main._fx.getField(false,"MSGBOX_CONFIRMATION")));Debug.locals.put("Answer", _answer);
 BA.debugLineNum = 60;BA.debugLine="If Answer = fx.DialogResponse.POSITIVE Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",_answer,BA.numberCast(double.class, main._fx.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 }else 
{ BA.debugLineNum = 62;BA.debugLine="Else If Answer = fx.DialogResponse.NEGATIVE Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",_answer,BA.numberCast(double.class, main._fx.getField(false,"DialogResponse").getField(true,"NEGATIVE")))) { 
 }};
 BA.debugLineNum = 68;BA.debugLine="Private lstFruits As List";
Debug.ShouldStop(8);
_lstfruits = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("lstFruits", _lstfruits);
 BA.debugLineNum = 69;BA.debugLine="Private Fruit As String";
Debug.ShouldStop(16);
_fruit = RemoteObject.createImmutable("");Debug.locals.put("Fruit", _fruit);
 BA.debugLineNum = 70;BA.debugLine="Private Answer As Int";
Debug.ShouldStop(32);
_answer = RemoteObject.createImmutable(0);Debug.locals.put("Answer", _answer);
 BA.debugLineNum = 71;BA.debugLine="lstFruits.Initialize";
Debug.ShouldStop(64);
_lstfruits.runVoidMethod ("Initialize");
 BA.debugLineNum = 72;BA.debugLine="lstFruits.AddAll(Array As String(\"Apple\", \"Orange";
Debug.ShouldStop(128);
_lstfruits.runVoidMethod ("AddAll",(Object)(main.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {6},new Object[] {BA.ObjectToString("Apple"),BA.ObjectToString("Orange"),BA.ObjectToString("Strawberry"),BA.ObjectToString("Peach"),BA.ObjectToString("Pear"),RemoteObject.createImmutable("Banana")})))));
 BA.debugLineNum = 73;BA.debugLine="Answer = fx.InputList(MainForm, lstFruits, \"Selec";
Debug.ShouldStop(256);
_answer = main._fx.runMethodAndSync(true,"InputList",(Object)(main._mainform),(Object)(_lstfruits),(Object)(BA.ObjectToString("Select a fruit")),(Object)(BA.ObjectToString("Fruits")),(Object)(BA.numberCast(int.class, 2)));Debug.locals.put("Answer", _answer);
 BA.debugLineNum = 74;BA.debugLine="If Answer >= 0 Then  'checks if an item was selec";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("g",_answer,BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 75;BA.debugLine="Fruit = lstFruits.Get(Answer)";
Debug.ShouldStop(1024);
_fruit = BA.ObjectToString(_lstfruits.runMethod(false,"Get",(Object)(_answer)));Debug.locals.put("Fruit", _fruit);
 };
 BA.debugLineNum = 78;BA.debugLine="Private lstScreens As List";
Debug.ShouldStop(8192);
_lstscreens = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("lstScreens", _lstscreens);
 BA.debugLineNum = 79;BA.debugLine="lstScreens.Initialize";
Debug.ShouldStop(16384);
_lstscreens.runVoidMethod ("Initialize");
 BA.debugLineNum = 80;BA.debugLine="lstScreens = fx.Screens";
Debug.ShouldStop(32768);
_lstscreens = main._fx.runMethod(false,"getScreens");Debug.locals.put("lstScreens", _lstscreens);
 BA.debugLineNum = 81;BA.debugLine="Private scrTest As Screen";
Debug.ShouldStop(65536);
_scrtest = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.ScreenWrapper");Debug.locals.put("scrTest", _scrtest);
 BA.debugLineNum = 82;BA.debugLine="scrTest = lstScreens.Get(0)";
Debug.ShouldStop(131072);
_scrtest.setObject(_lstscreens.runMethod(false,"Get",(Object)(BA.numberCast(int.class, 0))));
 BA.debugLineNum = 83;BA.debugLine="Log(scrTest.MaxX)";
Debug.ShouldStop(262144);
main.__c.runVoidMethod ("Log",(Object)(BA.NumberToString(_scrtest.runMethod(true,"getMaxX"))));
 BA.debugLineNum = 85;BA.debugLine="Private scrPrimary As Screen";
Debug.ShouldStop(1048576);
_scrprimary = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX.ScreenWrapper");Debug.locals.put("scrPrimary", _scrprimary);
 BA.debugLineNum = 86;BA.debugLine="scrPrimary = fx.PrimaryScreen";
Debug.ShouldStop(2097152);
_scrprimary = main._fx.runMethod(false,"getPrimaryScreen");Debug.locals.put("scrPrimary", _scrprimary);
 BA.debugLineNum = 87;BA.debugLine="Log(scrTest.MaxX)";
Debug.ShouldStop(4194304);
main.__c.runVoidMethod ("Log",(Object)(BA.NumberToString(_scrtest.runMethod(true,"getMaxX"))));
 BA.debugLineNum = 89;BA.debugLine="Private Dir As String";
Debug.ShouldStop(16777216);
_dir = RemoteObject.createImmutable("");Debug.locals.put("Dir", _dir);
 BA.debugLineNum = 90;BA.debugLine="Dir = \"D:\\B4J\\BeginnersGuide\\V1_0\\\"";
Debug.ShouldStop(33554432);
_dir = BA.ObjectToString("D:\\B4J\\BeginnersGuide\\V1_0\\");Debug.locals.put("Dir", _dir);
 BA.debugLineNum = 91;BA.debugLine="Private txt As String";
Debug.ShouldStop(67108864);
_txt = RemoteObject.createImmutable("");Debug.locals.put("txt", _txt);
 BA.debugLineNum = 92;BA.debugLine="txt = \"Ceçi est un échantillon de texte\" & CRLF &";
Debug.ShouldStop(134217728);
_txt = RemoteObject.concat(RemoteObject.createImmutable("Ceçi est un échantillon de texte"),main.__c.getField(true,"CRLF"),RemoteObject.createImmutable("avec des carartères accentués."));Debug.locals.put("txt", _txt);
 BA.debugLineNum = 93;BA.debugLine="Private tw As TextWriter";
Debug.ShouldStop(268435456);
_tw = RemoteObject.createNew ("anywheresoftware.b4a.objects.streams.File.TextWriterWrapper");Debug.locals.put("tw", _tw);
 BA.debugLineNum = 94;BA.debugLine="tw.Initialize(File.OpenOutput(Dir, \"TestUTF8.txt\"";
Debug.ShouldStop(536870912);
_tw.runVoidMethod ("Initialize",(Object)((main.__c.getField(false,"File").runMethod(false,"OpenOutput",(Object)(_dir),(Object)(BA.ObjectToString("TestUTF8.txt")),(Object)(main.__c.getField(true,"False"))).getObject())));
 BA.debugLineNum = 95;BA.debugLine="tw.Write(txt)";
Debug.ShouldStop(1073741824);
_tw.runVoidMethod ("Write",(Object)(_txt));
 BA.debugLineNum = 96;BA.debugLine="tw.Close";
Debug.ShouldStop(-2147483648);
_tw.runVoidMethod ("Close");
 BA.debugLineNum = 97;BA.debugLine="tw.Initialize2(File.OpenOutput(Dir, \"TestWindows.";
Debug.ShouldStop(1);
_tw.runVoidMethod ("Initialize2",(Object)((main.__c.getField(false,"File").runMethod(false,"OpenOutput",(Object)(_dir),(Object)(BA.ObjectToString("TestWindows.txt")),(Object)(main.__c.getField(true,"False"))).getObject())),(Object)(RemoteObject.createImmutable("Windows-1252")));
 BA.debugLineNum = 98;BA.debugLine="tw.Write(txt)";
Debug.ShouldStop(2);
_tw.runVoidMethod ("Write",(Object)(_txt));
 BA.debugLineNum = 99;BA.debugLine="tw.Close";
Debug.ShouldStop(4);
_tw.runVoidMethod ("Close");
 BA.debugLineNum = 100;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnexcel_action() throws Exception{
try {
		Debug.PushSubsStack("btnExcel_Action (main) ","main",0,main.ba,main.mostCurrent,102);
if (RapidSub.canDelegate("btnexcel_action")) return main.remoteMe.runUserSub(false, "main","btnexcel_action");
RemoteObject _foldername = RemoteObject.createImmutable("");
 BA.debugLineNum = 102;BA.debugLine="Private Sub btnExcel_Action";
Debug.ShouldStop(32);
 BA.debugLineNum = 103;BA.debugLine="Private FolderName As String";
Debug.ShouldStop(64);
_foldername = RemoteObject.createImmutable("");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 106;BA.debugLine="FolderName = File.DirAssets";
Debug.ShouldStop(512);
_foldername = main.__c.getField(false,"File").runMethod(true,"getDirAssets");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 107;BA.debugLine="fx.ShowExternalDocument(File.GetUri(FolderName, \"";
Debug.ShouldStop(1024);
main._fx.runVoidMethod ("ShowExternalDocument",(Object)(main.__c.getField(false,"File").runMethod(true,"GetUri",(Object)(_foldername),(Object)(RemoteObject.createImmutable("Test.xls")))));
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btninternet_action() throws Exception{
try {
		Debug.PushSubsStack("btnInternet_Action (main) ","main",0,main.ba,main.mostCurrent,118);
if (RapidSub.canDelegate("btninternet_action")) return main.remoteMe.runUserSub(false, "main","btninternet_action");
 BA.debugLineNum = 118;BA.debugLine="Private Sub btnInternet_Action";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 119;BA.debugLine="fx.ShowExternalDocument(\"http://www.basic4ppc.com";
Debug.ShouldStop(4194304);
main._fx.runVoidMethod ("ShowExternalDocument",(Object)(RemoteObject.createImmutable("http://www.basic4ppc.com")));
 BA.debugLineNum = 120;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnpdf_action() throws Exception{
try {
		Debug.PushSubsStack("btnPdf_Action (main) ","main",0,main.ba,main.mostCurrent,110);
if (RapidSub.canDelegate("btnpdf_action")) return main.remoteMe.runUserSub(false, "main","btnpdf_action");
RemoteObject _foldername = RemoteObject.createImmutable("");
 BA.debugLineNum = 110;BA.debugLine="Private Sub btnPdf_Action";
Debug.ShouldStop(8192);
 BA.debugLineNum = 111;BA.debugLine="Private FolderName As String";
Debug.ShouldStop(16384);
_foldername = RemoteObject.createImmutable("");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 114;BA.debugLine="FolderName = File.DirAssets";
Debug.ShouldStop(131072);
_foldername = main.__c.getField(false,"File").runMethod(true,"getDirAssets");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 115;BA.debugLine="fx.ShowExternalDocument(File.GetUri(FolderName, \"";
Debug.ShouldStop(262144);
main._fx.runVoidMethod ("ShowExternalDocument",(Object)(main.__c.getField(false,"File").runMethod(true,"GetUri",(Object)(_foldername),(Object)(RemoteObject.createImmutable("Test.pdf")))));
 BA.debugLineNum = 116;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnpong_action() throws Exception{
try {
		Debug.PushSubsStack("btnPong_Action (main) ","main",0,main.ba,main.mostCurrent,122);
if (RapidSub.canDelegate("btnpong_action")) return main.remoteMe.runUserSub(false, "main","btnpong_action");
RemoteObject _foldername = RemoteObject.createImmutable("");
 BA.debugLineNum = 122;BA.debugLine="Private Sub btnPong_Action";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 123;BA.debugLine="Private FolderName As String";
Debug.ShouldStop(67108864);
_foldername = RemoteObject.createImmutable("");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 126;BA.debugLine="FolderName = File.DirAssets";
Debug.ShouldStop(536870912);
_foldername = main.__c.getField(false,"File").runMethod(true,"getDirAssets");Debug.locals.put("FolderName", _foldername);
 BA.debugLineNum = 127;BA.debugLine="fx.ShowExternalDocument(File.GetUri(FolderName, \"";
Debug.ShouldStop(1073741824);
main._fx.runVoidMethod ("ShowExternalDocument",(Object)(main.__c.getField(false,"File").runMethod(true,"GetUri",(Object)(_foldername),(Object)(RemoteObject.createImmutable("Pong.jar")))));
 BA.debugLineNum = 128;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

private static boolean processGlobalsRun;
public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
fx2_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("b4j.example.main");
fx2.myClass = BA.getDeviceClass ("b4j.example.fx2");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Private fx As JFX";
main._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");
 //BA.debugLineNum = 8;BA.debugLine="Private MainForm As Form";
main._mainform = RemoteObject.createNew ("anywheresoftware.b4j.objects.Form");
 //BA.debugLineNum = 9;BA.debugLine="Private lblTest1, lblTest2, lblTest3 As Label";
main._lbltest1 = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
main._lbltest2 = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
main._lbltest3 = RemoteObject.createNew ("anywheresoftware.b4j.objects.LabelWrapper");
 //BA.debugLineNum = 10;BA.debugLine="Private cvsTest As Canvas";
main._cvstest = RemoteObject.createNew ("anywheresoftware.b4j.objects.CanvasWrapper");
 //BA.debugLineNum = 11;BA.debugLine="Private imvSmall As ImageView";
main._imvsmall = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper");
 //BA.debugLineNum = 12;BA.debugLine="Private imgSmall As Image";
main._imgsmall = RemoteObject.createNew ("anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper");
 //BA.debugLineNum = 13;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}